part of 'address_bloc.dart';

@immutable
class AddressState {
  final StateStatus status;
  final FullAddress? fullAddress;
  final List<MapPlace> suggestions;

  const AddressState({
    this.status = StateStatus.idle,
    this.fullAddress,
    this.suggestions = const [],
  });

  AddressState copyWith({
    StateStatus? status,
    FullAddress? fullAddress,
    List<MapPlace>? suggestions,
  }) {
    return AddressState(
      status: status ?? this.status,
      suggestions: suggestions ?? this.suggestions,
      fullAddress: fullAddress ?? this.fullAddress,
    );
  }
}
